Bug 52458 - HTTP support broken
HTTP support broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-23 17:30 EDT by Need Real Name
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-23 17:30:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-23 17:30:12 EDT
Description of Problem:

When doing an install by HTTP, the installer doesn't follow the HTTP spec
correctly and doesn't use HTTP/1.1, effectively preventing the use of
virtual web servers.

Version-Release number of selected component (if applicable):

anaconda-7.1-5

How Reproducible:

Attempt a web install from a virtual web server.  (Note that apache seems
to default to the first virtual server in a configuration file when
anaconda tries to get the files.)


What install does:

$ telnet rh_src_host 80
GET /url "HTTP/1.0"

What it should do:

$ telnet rh_src_host 80
GET /url HTTP/1.1
Host: rh_src_host

Additional notes:

How should I specify a port number?
Comment 1 Matt Wilson 2001-08-24 14:23:20 EDT
fixed in roswell.

Note You need to log in before you can comment on or make changes to this bug.